Web lists-archives.com

Re: The Dark Mod on Stretch?




Hello all,

OK, here's my results:

-- trying on 2.06 sources, I was unable to get it to compile, halting
at the null pointer error above...

-- trying on a fresh subversion checkout (svnversion returns 7909M), I
apply Rico's patches in order and get a clean compile, that drops a
nice thedarkmod.x64 in my working directory.  I then tried to launch
it, and kept getting PATH errors.  I looked up the hardcoded path,
moved some stuff around, and got this:

→ games/darkmod pwd
                         11:50:20
/usr/share/games/darkmod
→ games/darkmod tree
                         11:50:23
.
├── darkmod
│   └── fms
│       ├── consolehistory.dat
│       └── river.pk4
├── fms
│   ├── consolehistory.dat
│   └── river.pk4
└── thedarkmod.x64

3 directories, 5 files
→ games/darkmod ./thedarkmod.x64
                         11:50:25
TDM 2.07/64 #7909 (7909M) linux-x86_64 Jan 12 2019 08:24:55
found interface lo - loopback
found interface enp8s0 - 10.0.1.9/255.255.255.0
Found Generic CPU, features: MMX SSE SSE2 SSE3
tdm using MMX & SSE & SSE2 & SSE3 for SIMD processing.
------ Initializing File System ------
Current search path:
  /usr/share/games/darkmod/
File System Initialized.
--------------------------------------
Unknown command 'vid_restart'
--------- Game Map Shutdown ----------
--------- Game Map Shutdown done -----
idRenderSystem::Shutdown()
I18NLocal: Shutdown.
------------ Game Shutdown -----------
Shutdown event system
...not started
--------------------------------------
Sys_Error: Couldn't load default.cfg
About to exit with code 1
→ games/darkmod
                         11:50:34

The river.pk4 is a package file I pulled down to get something to test.

I suspect I am unable to find the default.cfg since I am not running
through all the stuff  that tdm_updater uses.  Any thoughts here?

Cheers!

On Sat, Jan 12, 2019 at 8:36 AM Reco <recoverym4n@xxxxxxxxxxxx> wrote:
>
>         Hi.
>
> On Sat, Jan 12, 2019 at 07:57:32AM -0500, Boyan Penkov wrote:
> > Thanks for your patience -- trying this now...
> >
> > Did you get the following errors?
> >
> > game/StimResponse/StimResponseTimer.cpp: At global scope:
> > game/StimResponse/StimResponseTimer.cpp:22:62: error: non-constant
> > condition for static assertion
> >  static_assert((size_t)&((TimerValue*)NULL)->Time.Millisecond == 4,
> > "TimerValue type has wrong packing");
> >                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~
> > game/StimResponse/StimResponseTimer.cpp:22:62: error: dereferencing a
> > null pointer in ‘*0’
> > game/StimResponse/StimResponseTimer.cpp:23:61: error: non-constant
> > condition for static assertion
> >  static_assert((size_t)&((TimerValue*)NULL)->Val.Millisecond == 4,
> > "TimerValue type has wrong packing");
> >                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~
> > game/StimResponse/StimResponseTimer.cpp:23:61: error: dereferencing a
> > null pointer in ‘*0’
>
> No, I'd remember those. My 2.06 does not have these asserts at all:
>
> $ grep -c assert thedarkmod/game/StimResponse/StimResponse.cpp
> 0
>
> Reco
>


-- 
Boyan Penkov